<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'matrix_setting',

    /*
     * Modules.
     */
    'modules'   => ['matrix_setting'],

    
    'matrix_setting'       => [
        'model' => [
            'model'                 => \Litecms\MatrixSetting\Models\MatrixSetting::class,
            'table'                 => 'matrix_settings',
            'presenter'             => \Litecms\MatrixSetting\Repositories\Presenter\MatrixSettingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['matrix_id',  'sponser_bonus',  'sponser_duration',  'level_bonus',  'level_duration',  'matching_bonus',  'matching_duration',  'position_bonus',  'position_duration',  'matrix_bonus',  'matrix_duration'],
            'translatables'         => [],
            'upload_folder'         => 'matrix_setting/matrix_setting',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'MatrixSetting',
            'module'    => 'MatrixSetting',
        ],

    ],
];
