<?php

namespace Litecms\MatrixSetting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MatrixSettingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\MatrixSetting\Models\MatrixSetting $matrix_setting)
    {
        return [
            'id'                => $matrix_setting->getRouteKey(),
            'key'               => [
                'public'    => $matrix_setting->getPublicKey(),
                'route'     => $matrix_setting->getRouteKey(),
            ], 
            'matrix_id'         => $matrix_setting->matrix_id,
            'sponser_bonus'     => $matrix_setting->sponser_bonus,
            'sponser_duration'  => $matrix_setting->sponser_duration,
            'level_bonus'       => $matrix_setting->level_bonus,
            'level_duration'    => $matrix_setting->level_duration,
            'matching_bonus'    => $matrix_setting->matching_bonus,
            'matching_duration' => $matrix_setting->matching_duration,
            'position_bonus'    => $matrix_setting->position_bonus,
            'position_duration' => $matrix_setting->position_duration,
            'matrix_bonus'      => $matrix_setting->matrix_bonus,
            'matrix_duration'   => $matrix_setting->matrix_duration,
            'url'               => [
                'public'    => trans_url('matrix_setting/'.$matrix_setting->getPublicKey()),
                'user'      => guard_url('matrix_setting/matrix_setting/'.$matrix_setting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$matrix_setting->status),
            'created_at'        => format_date($matrix_setting->created_at),
            'updated_at'        => format_date($matrix_setting->updated_at),
        ];
    }
}